Skip to main content
GET
List tasks

Authorizations

Authorization
string
header
required

The access token received from the authorization server in the OAuth 2.0 flow.

FlowAuthorization Code
Authorization URL
https://login.seamless.ai/oauth/authorize
Token URL
https://api.seamless.ai/api/client/v2/oauth/accessToken

Query Parameters

campaignIdentifier
string

Filter tasks by the campaign they belong to.

status
enum<string>

Filter tasks by status.

Available options:
DRAFT,
TODO,
QUEUED,
SCHEDULED,
STARTED,
RETRYING,
PAUSED,
COMPLETED,
PASTDUE,
ARCHIVED,
ERROR,
CANCELED,
SKIPPED,
DUE_TODAY,
DELETED
taskType
enum<string>

Filter tasks by type.

Available options:
email,
auto-email,
manual-email,
bulkEmail,
call,
linkedIn,
linkedin-message,
linkedin-connect-request,
custom,
default
limit
integer
default:25

Maximum number of tasks to return (1-50, default 25).

Required range: 1 <= x <= 50
offset
integer
default:0

Number of tasks to skip for pagination (default 0).

Required range: x >= 0
sortColumn
string
default:createdAt

Column to sort the results by (default createdAt).

sortOrder
enum<string>
default:desc

Sort direction (default desc).

Available options:
asc,
desc

Response

A list of tasks.

success
boolean
Example:

true

data
object[]
supplementalData
object

Aggregate task counts for the matching task set.